Update an agent
curl --request PATCH \
--url https://connie.ai/api/agents/{agentId} \
--header 'Content-Type: application/json' \
--header 'Cookie: <api-key>' \
--data '
{
"name": "<string>",
"description": "<string>",
"avatarUrl": "<string>",
"expectedUpdatedAt": "2023-11-07T05:31:56Z"
}
'import requests
url = "https://connie.ai/api/agents/{agentId}"
payload = {
"name": "<string>",
"description": "<string>",
"avatarUrl": "<string>",
"expectedUpdatedAt": "2023-11-07T05:31:56Z"
}
headers = {
"Cookie": "<api-key>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Cookie: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
description: '<string>',
avatarUrl: '<string>',
expectedUpdatedAt: '2023-11-07T05:31:56Z'
})
};
fetch('https://connie.ai/api/agents/{agentId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"agent": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"workspace_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"description": "<string>",
"avatar_url": "<string>",
"mission": "<string>",
"status": "draft",
"folder_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"template_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"settings": {},
"created_by": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}
}{
"error": "<string>",
"code": "<string>",
"details": "<unknown>"
}{
"error": "<string>",
"code": "<string>",
"details": "<unknown>"
}{
"error": "<string>",
"code": "<string>",
"details": "<unknown>"
}{
"error": "<string>",
"code": "<string>",
"details": "<unknown>"
}{
"error": "<string>",
"code": "<string>",
"details": "<unknown>"
}Agents
Update an agent
Renames an agent or changes its description or avatar. Send expectedUpdatedAt from your last read to avoid overwriting someone else’s change (409 AGENT_EDIT_CONFLICT). Needs edit access.
PATCH
/
agents
/
{agentId}
Update an agent
Authorizations
The full Cookie header copied from a signed-in connie.ai browser request. See the Authentication page.
Path Parameters
The agent's id, as in https://connie.ai/<workspace-id>/agents/<agent-id>.
Query Parameters
The workspace the agent belongs to. Optional; when given, an agent from another workspace returns 404.
Body
application/json
Response
The updated agent.
Show child attributes
Show child attributes